Bug 1271851 - [abrt] PackageKit: hy_repo_get_string(): packagekitd killed by SIGSEGV
[abrt] PackageKit: hy_repo_get_string(): packagekitd killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1253776
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:61256160487a82538dd6d1dc322...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 17:29 EDT by Rex Dieter
Modified: 2016-05-18 08:35 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-16 13:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.02 KB, text/plain)
2015-10-14 17:29 EDT, Rex Dieter
no flags Details
File: cgroup (236 bytes, text/plain)
2015-10-14 17:29 EDT, Rex Dieter
no flags Details
File: core_backtrace (8.48 KB, text/plain)
2015-10-14 17:29 EDT, Rex Dieter
no flags Details
File: dso_list (7.75 KB, text/plain)
2015-10-14 17:29 EDT, Rex Dieter
no flags Details
File: environ (120 bytes, text/plain)
2015-10-14 17:29 EDT, Rex Dieter
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-14 17:30 EDT, Rex Dieter
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-14 17:30 EDT, Rex Dieter
no flags Details
File: maps (37.16 KB, text/plain)
2015-10-14 17:30 EDT, Rex Dieter
no flags Details
File: mountinfo (3.49 KB, text/plain)
2015-10-14 17:30 EDT, Rex Dieter
no flags Details
File: open_fds (2.31 KB, text/plain)
2015-10-14 17:30 EDT, Rex Dieter
no flags Details
File: proc_pid_status (977 bytes, text/plain)
2015-10-14 17:30 EDT, Rex Dieter
no flags Details
File: var_log_messages (1.43 KB, text/plain)
2015-10-14 17:30 EDT, Rex Dieter
no flags Details

  None (edit)
Description Rex Dieter 2015-10-14 17:29:51 EDT
Version-Release number of selected component:
PackageKit-1.0.10-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: hy_repo_get_string
executable:     /usr/libexec/packagekitd
global_pid:     3140
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 hy_repo_get_string at /usr/src/debug/hawkey-0.6.1/py3/src/repo.c:200
 #1 load_yum_repo at /usr/src/debug/hawkey-0.6.1/py3/src/sack.c:552
 #2 hy_sack_load_repo at /usr/src/debug/hawkey-0.6.1/py3/src/sack.c:999
 #3 hy_sack_load_yum_repo at /usr/src/debug/hawkey-0.6.1/py3/src/sack.c:992
 #4 hif_sack_add_source at hif-sack.c:148
 #5 hif_sack_add_sources at hif-sack.c:201
 #6 hif_utils_add_remote at pk-backend-hif.c:492
 #7 hif_utils_create_sack_for_filters at pk-backend-hif.c:688
 #8 pk_backend_refresh_cache_thread at pk-backend-hif.c:1582
 #9 pk_backend_job_thread_setup at pk-backend-job.c:814

Potential duplicate: bug 1253776
Comment 1 Rex Dieter 2015-10-14 17:29:55 EDT
Created attachment 1082997 [details]
File: backtrace
Comment 2 Rex Dieter 2015-10-14 17:29:56 EDT
Created attachment 1082998 [details]
File: cgroup
Comment 3 Rex Dieter 2015-10-14 17:29:57 EDT
Created attachment 1082999 [details]
File: core_backtrace
Comment 4 Rex Dieter 2015-10-14 17:29:58 EDT
Created attachment 1083000 [details]
File: dso_list
Comment 5 Rex Dieter 2015-10-14 17:29:59 EDT
Created attachment 1083001 [details]
File: environ
Comment 6 Rex Dieter 2015-10-14 17:30:00 EDT
Created attachment 1083002 [details]
File: exploitable
Comment 7 Rex Dieter 2015-10-14 17:30:01 EDT
Created attachment 1083003 [details]
File: limits
Comment 8 Rex Dieter 2015-10-14 17:30:02 EDT
Created attachment 1083004 [details]
File: maps
Comment 9 Rex Dieter 2015-10-14 17:30:03 EDT
Created attachment 1083005 [details]
File: mountinfo
Comment 10 Rex Dieter 2015-10-14 17:30:04 EDT
Created attachment 1083006 [details]
File: open_fds
Comment 11 Rex Dieter 2015-10-14 17:30:05 EDT
Created attachment 1083007 [details]
File: proc_pid_status
Comment 12 Rex Dieter 2015-10-14 17:30:06 EDT
Created attachment 1083008 [details]
File: var_log_messages
Comment 13 Rex Dieter 2015-10-16 09:33:20 EDT
I think I found the cause for this one, I had a local repo:

/etc/yum.repos.d/local.repo

[local]
name=local
baseurl=file:///home/rdieter/repo
enabled=1
gpgcheck=0

that I'd created for testing purposes, then I'd subsequently deleted the repo (removed /home/rdieter/repo).  dnf complained about it, but still worked at least.
Comment 14 Kalev Lember 2015-10-16 13:04:12 EDT
Looks like a hawkey crash, reassigning.
Comment 15 Kalev Lember 2015-10-16 13:42:46 EDT
On a second look, it's actually libhif passing NULL repo to hawkey, and same issue as https://bugzilla.redhat.com/show_bug.cgi?id=1253776

*** This bug has been marked as a duplicate of bug 1253776 ***

Note You need to log in before you can comment on or make changes to this bug.